View Issue Details

IDProjectCategoryView StatusLast Update
0001611RackTablesdefaultpublic2016-11-28 21:17
Reporterwvater 
Assigned Toinfrastation 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.20.11 
Target Version0.20.12Fixed in Version0.20.12 
Summary0001611: The width of the "Compatible Spare Ports" in the popup to select a port is only 30 characters wide. This is a hard coded value.
DescriptionThe width of the "Compatible Spare Ports" in the popup to select a port is only 30 characters wide. This is a hard coded value. My port-names are longer so you don't actually know which port is is you select as you cannot read the end. I request that this is changed to a value from the config table in the database.

occurs in interface-lib.php and is hard coded with $maxlen = 30

function niftyString ($string, $maxlen = 30, $usetags = TRUE)
function stringForTD ($string, $maxlen = 30)
function stringForOption ($string, $maxlen = 30)
function stringForTextInputValue ($string, $maxlen = 30)
function stringForLabel ($string, $maxlen = 30)

currently I overwrite this in my installation with 60, but I have to repeat that every time I upgrade to code. So i would rather like to see this configured in the config table in the database instead.
Steps To ReproduceCreate a patchpanel with a long name >30 characters and a port 1000Base-T on it and from any server try to connect to that port. You won't be able to read the port name.
TagsNo tags attached.

Relationships

Activities

infrastation

2016-05-19 16:58

administrator   ~0003197

The default value in stringForOption() is the only one that needs to be changed to fix the HTML SELECT issue. Commit f69fca1 makes this change, which will be available in release 0.20.12.

Issue History

Date Modified Username Field Change
2016-04-10 14:24 wvater New Issue
2016-04-16 14:06 infrastation Assigned To => infrastation
2016-04-16 14:06 infrastation Status new => assigned
2016-04-16 14:06 infrastation Target Version => 0.20.12
2016-05-19 16:58 infrastation Note Added: 0003197
2016-05-19 16:58 infrastation Status assigned => closed
2016-05-19 16:58 infrastation Resolution open => fixed
2016-05-19 16:58 infrastation Fixed in Version => 0.20.12